Subject: Re: Hard sorting folders

From: Terry Gray <[email-masked]>
Date: Sat, 30 Nov 1996 18:09:25 -0800 (PST)

Ahh yes; I forgot:  The IMAP spec does not specify whether or not the
order of message IDs in a COPY command must be preserved, so it is up to
the server implementation.  At the moment, the UW server optimizes the
sequence of messages to be copied for best performance, rather than
preserving the sort order.  I'm not sure what other servers do. 

In the event that one is using an IMAP server that honors message ID
order for COPY commands, there is actually a hidden option in Pine
("save-aggregates-imap-copy") to allow optimizing performance if the user
is not interested in the copy order.

Note that if the destination folder is on a *different* IMAP server, an
APPEND command is used instead of COPY, and the sorted order would be
preserved in that case.

-teg

On Sun, 1 Dec 1996, Orjan Johansen wrote:

> [Posted and mailed]
> 
> In article <[email-masked]>,
> Terry Gray <[email-masked]> wrote:
> >Ørjan,
> >Aggregate operations, including save, certainly do work via IMAP.
> >If you have any info on what's behind the rumor to the contrary,
> >please let me know...
> 
> The rumor I heard (actually, it was a posting here in this group, you
> might try DejaNews) is that while aggregate save works over IMAP, it
> uses an IMAP command for this, which naturally does not know about pine's
> internal ordering.  So you cannot use it to physically reorder a folder,
> as the original poster of this thread requested.
> 
> Greetings,
> Ørjan.
>